For the complete documentation index, see llms.txt. This page is also available as Markdown.

Folder Inclusion

Get

get

Retrieve FSLogix Profile Container Folder Inclusion List of a Site Defaults object.

Query parameters
siteIdinteger · int32Optional

The SiteId of a Site Defaults object for which to retrieve the FSLogix Profile Container settings (optional).

Responses
200

Success

application/json; api-version=1.0
string[]Optional
get/api/AVD/DefaultSettings/MultiSession/FSLogix/ProfileContainer/FolderInclusion
GET /api/AVD/DefaultSettings/MultiSession/FSLogix/ProfileContainer/FolderInclusion HTTP/1.1
Accept: */*
[
  "text"
]

Add

post

Add a folder to the Folder Inclusion List of the FSLogix Profile Container settings.

Query parameters
siteIdinteger · int32Optional

The Site ID of an object for which to modify the FSLogix Profile Container settings (optional).

Body

Add a new folder to the FSLogix folder inclusion list

folderstring · min: 1 · max: 255 · nullableRequired

Specifies the 'Folder' path to add to the Include/Exclude Folder List.

Responses
201

Created

No content

post/api/AVD/DefaultSettings/MultiSession/FSLogix/ProfileContainer/FolderInclusion
POST /api/AVD/DefaultSettings/MultiSession/FSLogix/ProfileContainer/FolderInclusion HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 17

{
  "folder": "text"
}

No content

Delete

delete

Remove a folder from the Folder Inclusion List of the FSLogix Profile Container settings.

Query parameters
siteIdinteger · int32Optional

The Site ID of an object for which to modify the FSLogix Profile Container settings (optional).

Body

Remove a folder from the FSLogix folder inclusion list

folderstring · min: 1 · max: 255 · nullableRequired

Specifies the 'Folder' path to remove to the Include/Exclude Folder List.

Responses
204

No Content

No content

delete/api/AVD/DefaultSettings/MultiSession/FSLogix/ProfileContainer/FolderInclusion
DELETE /api/AVD/DefaultSettings/MultiSession/FSLogix/ProfileContainer/FolderInclusion HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 17

{
  "folder": "text"
}

No content

Last updated